### Method

# Gtk SingleSelection set_autoselect

#### Declaration [src]

    void
    gtk_single_selection_set_autoselect (
      GtkSingleSelection* self,
      gboolean autoselect
    )

#### Description [src]

Enables or disables autoselect.

If `autoselect` is `TRUE`, `self` will enforce that an item is always selected. It will select a new item when the currently selected item is deleted and it will disallow unselecting the current item.

Sets property | `Gtk.SingleSelection:autoselect`

#### Parameters

`autoselect` | `gboolean`
| `TRUE` to always select an item.